ClientsDelete client

Delete client

Soft-delete by default (sets status to false). Pass ?hard=true to permanently remove the client from the database and KV store. Hard delete is irreversible.

curl -X DELETE "https://api.mythic-analytics.com/api/v1/clients/example_string?hard=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "deleted": true,
  "hard": false
}
DELETE
/clients/{id}
DELETE
Bearer Token
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key (query: admin_key)
admin_keystring
Required

Alternative to the Authorization header for server-to-server scenarios.

Alternative to the Authorization header for server-to-server scenarios.
path
idstring
Required

Client identifier. Must match ^[a-zA-Z0-9_-]{1,255}$.

Pattern: ^[a-zA-Z0-9_-]{1,255}$
query
hardstring

Set to true for permanent deletion. Default is soft delete.

Options: true, false
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

query
admin_keystring
Required

API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.

Path Parameters

idstring
Required

Client identifier. Must match ^[a-zA-Z0-9_-]\{1,255\}$.

Query Parameters

hardstring

Set to true for permanent deletion. Default is soft delete.

Allowed values:truefalse

Responses

successboolean
deletedboolean
hardboolean

true if permanently deleted, false for soft delete.